<?php
	/*impostazioni tema*/
  add_theme_support('post-thumbnails' );
  add_theme_support('post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'audio', 'chat', 'video'));
  add_theme_support('title-tag');
  add_theme_support('menus');
	add_post_type_support( 'page', 'excerpt' );
	automatic_feed_links();
	add_filter( 'jpeg_quality', create_function('', 'return 80;' ));

	function register_header_menu() {
	  register_nav_menu('header-menu',__( 'Header Menu' ));
	}
	add_action( 'init', 'register_header_menu' );
	
	function register_footer_menu() {
	  register_nav_menu('footer-menu',__( 'Footer Menu' ));
	}
	add_action( 'init', 'register_footer_menu' );
	
	function immobiliare_favicon() {
		echo '<link rel="shortcut icon" type="image/x-icon" href="' . get_template_directory_uri() . '/favicon.ico" />'."\n";
	}
	add_action('wp_head', 'immobiliare_favicon', 0);

	add_filter('single_template', 'single_template_terms');
	function single_template_terms($template) {
	    foreach( (array) wp_get_object_terms(get_the_ID(), get_taxonomies(array('public' => true, '_builtin' => false))) as $term ) {
	        if ( file_exists(TEMPLATEPATH . "/single-{$term->slug}.php") )
	            return TEMPLATEPATH . "/single-{$term->slug}.php";
	    }
	    return $template;
	}		
	
	
	function foundation_top_bar_l() {
	    wp_nav_menu(array( 
	        'container' => 'ul',                           // remove nav container
	        'container_class' => 'menu',           		// class of container
	        'menu' => 'MainMenu',                       // menu name
	        'menu_class' => 'left',         	// adding custom nav class
	        'theme_location' => 'top-bar-l',                // where it's located in the theme
	        'depth' => 5,                                   // limit the depth of the nav
	    		'fallback_cb' => false,                         // fallback function (see below)
	        'walker' => new top_bar_walker(),
		));
	}	
	
	global $query;

add_filter( 'pre_get_posts' , 'add_meta_to_search' );
		function add_meta_to_search( $query ) {
			
		if( $query->is_search ) {
			
		$immobili_rif=$_GET["immobili_rif"];
		$immobili_cameredaletto=$_GET["immobili_cameredaletto"];
		$immobili_mq=$_GET["immobili_mq"];
		$immobili_prezzo=htmlspecialchars($_GET["immobili_prezzo"]);
				
				
				
		if($immobili_rif!=NULL) {
					$rif_senzaspazi = str_replace(' ', '', $immobili_rif);
					$rif_trovato=strtolower($rif_senzaspazi);
					
					
					$rif_immobile='immobili_rif';
					$rif_cercato_senzaspzi=str_replace(' ', '', $rif_immobile);
					$rif_cercato=strtolower($rif_cercato_senzaspzi);
					
					
					$array_rif=array('key' => $rif_immobile,'value' => $immobili_rif,'compare' => '==','relation' => 'OR');
					
		}
				
		else {
					$array_rif=null;
		}
				
				
		if($immobili_cameredaletto!=NULL) {
			switch ($immobili_cameredaletto) {
				case ($immobili_cameredaletto=='1'):
				 $array_camere=array('key' => 'immobili_cameredaletto','value' => '1','compare' => '==','type' => 'NUMERIC');
			
				break;
						 
				case ($immobili_cameredaletto=='2'):
				 $array_camere=array('key' => 'immobili_cameredaletto','value' => '2','compare' => '==','type' => 'NUMERIC');
				break;

				case ($immobili_cameredaletto=='3'):
				 $array_camere=array('key' => 'immobili_cameredaletto','value' => '3','compare' => '==','type' => 'NUMERIC');
				break;			
				
				case ($immobili_cameredaletto=='4'):
				 $array_camere=array('key' => 'immobili_cameredaletto','value' => '4','compare' => '==','type' => 'NUMERIC');
				break;		
				
				case ($immobili_cameredaletto=='0'):
				$array_camere=array('key' => 'immobili_cameredaletto','value' => '4','compare' => '>','type' => 'NUMERIC');
				break;
			}			  
		}
		
		if($immobili_mq!=NULL) {
			switch ($immobili_mq) {
				case ($immobili_mq=='50'):
				 $array_mq=array('key' => 'immobili_mq','value' => '50','compare' => '<=','type' => 'NUMERIC');
			
				break;
						 
				case ($immobili_mq=='5070'):
				$array_mq=array('key' => 'immobili_mq','value' => array('50','70'),'compare' => 'between','type' => 'NUMERIC');
				break;

				case ($immobili_mq=='70_100'):
				$array_mq=array('key' => 'immobili_mq','value' => array('80','100'),'compare' => 'between','type' => 'NUMERIC');
				break;			
				
				case ($immobili_mq=='100_150'):
				$array_mq=array('key' => 'immobili_mq','value' => array('100','150'),'compare' => 'between','type' => 'NUMERIC');
				break;		
				
				case ($immobili_mq=='150_200'):
				$array_mq=array('key' => 'immobili_mq','value' => array('150','200'),'compare' => 'between','type' => 'NUMERIC');
				break;
				
				case ($immobili_mq=='200'):
				$array_mq=array('key' => 'immobili_mq','value' => '200','compare' => '=>','type' => 'NUMERIC');
				break;				
			}			  
		}		
		
		if($immobili_prezzo!=NULL) {
			switch ($immobili_prezzo) {
				case ($immobili_prezzo=='1'):
				 $array_prezzo=array('key' => 'immobili_prezzo','value' => '150000','compare' => '>','type' => 'NUMERIC');
				$array_prezzo2=array('key' => 'immobili_prezzo-precedente','value' => '150000','compare' => '>','type' => 'NUMERIC');
						
				break;
						 
				case ($immobili_prezzo=='50000'):
				$array_prezzo= array('meta_query' => array('relation' => 'JOIN',array('key' => 'immobili_prezzo','value' => '50000','compare' => '<=','type' => 'NUMERIC'),));
				break;
				
				case ($immobili_prezzo=='100000'):
				$array_prezzo=array('key' => 'immobili_prezzo','value' => '100000','compare' => '<=','type' => 'NUMERIC');
				break;
				
				case ($immobili_prezzo=='150000'):
				$array_prezzo=array('key' => 'immobili_prezzo','value' => '150000','compare' => '<=','type' => 'NUMERIC');
				break;
				
				case ($immobili_prezzo=='1'):
				$array_prezzo=array('key' => 'immobili_prezzo','value' => '150000','compare' => '>','type' => 'NUMERIC');
				break;
			}			  
		}		
							
				$query->set( 'meta_query', 
				array(
				'relation' => 'AND',$array_rif,$array_prezzo,$array_camere,$array_mq
		
			)); 
		}

		return $query;
	}
	
	
	class top_bar_walker extends Walker_Nav_Menu {
		
		function display_element($element, &$children_elements, $max_depth, $depth=0, $args, &$output) {
			$element->has_children = !empty($children_elements[$element->ID]);
			$element->classes[] = ($element->current || $element->current_item_ancestor) ? 'active' : '';
			$element->classes[] = ($element->has_children) ? 'has-dropdown' : '';
			
			parent::display_element($element, $children_elements, $max_depth, $depth, $args, $output);
		}
		
		function start_el(&$output, $item, $depth, $args) {
			$item_html = '';
			parent::start_el($item_html, $item, $depth, $args);	
			
			$output .= ($depth == 0) ? '' : '';
			
			$classes = empty($item->classes) ? array() : (array) $item->classes;	
			
			if(in_array('label', $classes)) {
				$output .= '';
				$item_html = preg_replace('/<a[^>]*>(.*)<\/a>/iU', '<label>$1</label>', $item_html);
			}
			
			if ( in_array('divider', $classes) ) {
				$item_html = preg_replace( '/<a[^>]*>( .* )<\/a>/iU', '', $item_html );
			}
			
			$output .= $item_html;
		}
		
		function start_lvl(&$output, $depth = 0, $args = array()) {
			$output .= "\n<ul class=\"sub-menu dropdown\">\n";
		}
		
	} // end top bar walker
	