<!doctype html>
<html class="no-js" lang="it">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title><?php echo wp_title();?>: <?php bloginfo('name'); ?></title>
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/lib/foundation/css/app.css" />
    <script src="<?php echo get_template_directory_uri(); ?>/lib/foundation/js/vendor/modernizr.js"></script>
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/lib/font-awesome/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:300,400,700|Roboto:300,400,500,700" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style.css">
		<script>
		  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
		  ga('create', 'UA-58965631-1', 'auto');
		  ga('send', 'pageview');
		</script>
    <?php wp_head(); ?>
</head>
<body>
	<div class="header">
    	<div class="row">
        	<div class="large-3 medium-6 small-12 columns">
            	<a href="/" title="case"><img src="<?php echo get_template_directory_uri(); ?>/img/logo.png"/></a>
            </div>
            <div class="show-for-small-only contact">
            	<div class="phone small-6 columns left">
                	<ul>
                     	<li><a href="tel:<?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?>"><i class="fa fa-phone fa-fw"></i><?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?></a></li>
                  </ul>
                  </div>
                  <div class="email small-6 columns">
                  <ul>

                  	<a href="mailto:<?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?>"><i class="fa fa-envelope"></i><?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?></a>

                  </ul>

                </div>

            </div>

            <div class="hide-for-small large-9 medium-6 small-12 columns">

                <div class="row">

                	<div class="large-6 large-offset-6 medium-6 small-12 columns right">
											<ul class="inline-list">
											  <li><a href="tel:<?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?>"><i class="fa fa-phone fa-lg"></i><?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?> </a></li>
											  <li><a href="mailto:<?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?>"><i class="fa fa-envelope fa-lg"></i><?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?></a></li>
											</ul>                    	
                    	<hr>
											<ul class="inline-list">
											  <li><a href="/carrello/"><i class="fa fa-shopping-cart fa-lg"></i>Carrello</a></li>
											  <li><a href="/mio-account/"><i class="fa fa-user fa-lg"></i>Il mio profilo</a></li>
											</ul>                    	
                    </div>

                </div>

                

            </div>

        </div>

    </div>                

	<div class="contain-to-grid menu sticky">
        <nav class="top-bar" data-topbar role="navigation">
            <ul class="title-area">
                <li class="name show-for-small">ExpoRe</li>
                <li class="toggle-topbar menu-icon">
                    <a href="#"><span></span></a>
                </li>
             </ul>
             <section class="top-bar-section">
								<?php foundation_top_bar_l(); ?>
            </section>
        </nav>
  </div>
