		<?php get_header(); ?>

    <div class="breadcrumb">

    	<div class="row">

        	<div class="large-12 medium-12 small-12 columns">

							<?php if ( function_exists('yoast_breadcrumb') ) {

								yoast_breadcrumb('<nav class="breadcrumbs">','</nav>');

							} ?>

            </div>

        </div>

    </div>

    <div class="row">

    	<div class="left large-8 medium-8 small-12 columns" role="main">

			<?php

				// Start the Loop.

				while ( have_posts() ) : the_post();?>

      	  <div class="row">

          	<div class="large-12 medium-12 small-12 columns">

              	<h1 class="scheda"><?php the_title(); ?></h1>

              </div>

          </div>

					<article>

					

						<?php

						$images = rwmb_meta( 'immobili_galleria', 'type=image' );

						$classe ="active";

						$allegati = rwmb_meta( 'immobili_allegati', 'type=file' );

						?>



            <div class="row">

            	<div class="large-9 medium-9 small-12 columns">

									<ul class="clearing-thumbs clearing-feature" data-clearing>

										<li class="clearing-featured-img">

										<?php 

										 if ( has_post_thumbnail()) {

										   $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large');

										   echo '<a href="' . $large_image_url[0] . '" title="' . the_title_attribute('echo=0') . '" >';

										   echo get_the_post_thumbnail($post->ID, 'full'); 

										   echo '</a>';

										 }

										?>

										</li>										

										<?php

										foreach ( $images as $image )

										{

										    echo "<li><a href='{$image['full_url']}' title='{$image['title']}'><img src='{$image['url']}' data-caption='{$image['title']}' alt='{$image['title']}' /></a></li>\n";

										}

										?>

									</ul>

                </div>

                <div class="large-3 medium-3 small-12 columns">

                    <h5>

                    	<?php if (rwmb_meta('immobili_prezzo')==0){ ?>

												Tratt. riservata

											<?php }else{ ?>

												<strong>&euro; <?php echo number_format(rwmb_meta('immobili_prezzo'), 0, ',', '.'); ?><br/></strong>

											<?php }  ?>

										</h5>

										<p>

											<?php if (rwmb_meta('immobili_mq')!="0"){ echo rwmb_meta( 'immobili_mq').'  mq'; } ?></li>

											<?php if (rwmb_meta('immobili_locali')!="0"){ echo rwmb_meta( 'immobili_locali').'  locali'; } ?></li>

										</p>

                    <hr>

                    <a class="interna" href="javascript:window.print();"><i class="fa fa-print fa-lg"></i>Stampa scheda</a><br/>

										<hr>

											<span class='st_facebook_hcount' displayText='Facebook'></span>

											<span class='st_twitter_hcount' displayText='Tweet'></span>

                </div>

            </div>

            <dl class="tabs" data-tab>

								<?php if (count($images)>1){  ?>

            		<dd class="<?php echo $classe; ?>">

                	<a href="#panel1"><i class="fa fa-picture-o fa-fw"></i>Gallery</a>

                </dd>

								<?php $classe=""; } ?>

                <dd class="<?php echo $classe; ?>">

                	<a href="#panel2"><i class="fa fa-file-excel-o fa-fw"></i>Caratteristiche</a>

                </dd>

                <dd class="<?php echo $classe; ?>">

                	<a href="#panel3"><i class="fa fa-file-word-o fa-fw"></i>Descrizione</a>

                </dd>

                <?php if (rwmb_meta('immobili_video')!=null){ ?>

                <dd>

                	<a href="#panel4"><i class="fa fa-youtube fa-fw"></i>Video</a>

                </dd>

								<?php } ?>

                <?php if (rwmb_meta('immobili_planimetria')!=null){ ?>

                <dd>

                	<a class="border" href="#panel5"><i class="fa fa-home fa-fw"></i>Planimetria</a>

                </dd>

								<?php } ?>

								<?php if (count($allegati)>1){  ?>

                <dd>

                	<a class="border" href="#panel6"><i class="fa fa-file-pdf-o fa-fw"></i>Allegati</a>

                </dd>

								<?php } ?>

             </dl>

             <div class="tabs-content">

							<?php if (count($images)>1){ ?>

             	<div class="content active" id="panel1">

										<ul class="clearing-thumbs small-block-grid-4" data-clearing>

										<?php

											foreach ( $images as $image ){

											    echo "<li><a href='{$image['full_url']}' title='{$image['title']}'><img src='{$image['url']}' data-caption='{$image['title']}' alt='{$image['title']}' /></a></li>\n";

											}

										?>

										</ul>

                </div>

								<?php } ?>

              	<div class="content active" id="panel2">

                	<div class="row caratteristiche">

                    	<div class="large-6 medium-6 small-12 columns">

                        	<ul>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Numero locali:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																			<?php if (rwmb_meta('immobili_locali')!="0"){ echo rwmb_meta( 'immobili_locali' ); }else { echo "-";} ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    <li class="categoria">Cucina:</li>

                                  </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta('immobili_cucina'); ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    <li class="categoria">Soggiorno:</li>

                                  </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta('immobili_soggiorno'); ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Bagni:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																			<?php if (rwmb_meta('immobili_bagni')!="0"){ echo rwmb_meta( 'immobili_bagni' ); }else { echo "-";} ?></li>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Camere da letto:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																			<?php if (rwmb_meta('immobili_cameredaletto')!="0"){ echo rwmb_meta( 'immobili_cameredaletto' ); }else { echo "-";} ?></li>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Posto auto:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta('immobili_postoauto'); ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    				<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Balcone:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta('immobili_balcone'); ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Piano:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_piano' ); ?> 

																				<?php if (rwmb_meta('immobili_numeropiani')!="0"){ echo ' di n&deg;'.rwmb_meta( 'immobili_numeropiani' ).' piani'; } ?></li>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Arredato:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta('immobili_arredato'); ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Stato immobile:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_stato' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Spese cond.:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																			 <?php 

																			 $speceCondominiali=rwmb_meta('immobili_spese');

																			 switch ($speceCondominiali){

																			 	case "0":

																			 		echo "nessuna";

																			 		break;

																			 	case "":

																			 		echo "-";

																			 		break;

																			 	default:

																			 		echo '&euro; '.rwmb_meta( 'immobili_spese' ).' '.rwmb_meta( 'immobili_spesetipo' ); 

																			 }

																			 ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Cantina:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_cantina')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-5 medium-5 small-6 columns">

                                    	<li class="categoria">Solaio:</li>

                                    </div>

                                    <div class="large-7 medium-7 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_solaio')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                            </ul>

                        </div>

                        <div class="large-6 medium-6 small-12 columns">

                        	<ul>

                              <div class="row">

                    							<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Ascensore:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_ascensore')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Giardino:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php echo rwmb_meta( 'immobili_giardino' ); ?>

																				<?php 

																					if (rwmb_meta( 'immobili_mqgiardino' )!=null){

																				 		echo " di ".rwmb_meta( 'immobili_mqgiardino' )." mq";

																					}

																				 ?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Terrazzo:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_terrazzo' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    							<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Portico:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_portico')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Riscaldamento:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_riscaldamento' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Tipo riscaldamento:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_tiporiscaldamento' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    				<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">APE:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_ape' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    				<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Condizionatore:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_condizionatore')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    				<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Satellite:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_satellite')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    						<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Anno Costruzione:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica"><?php echo rwmb_meta( 'immobili_anno' ); ?></li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Idromassaggio:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_idromassaggio')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                                <div class="row">

                    								<div class="large-6 medium-6 small-6 columns">

                                    	<li class="categoria">Piscina:</li>

                                    </div>

                                    <div class="large-6 medium-6 small-6 columns">

                                    	<li class="caratteristica">

																				<?php 

																					if (rwmb_meta('immobili_piscina')==1){

																						echo "si";

																					}else{

																						echo "-";

																					}

																				?>

																			</li>

                                    </div>

                                </div>

                                <hr>

                            </ul>

                        </div>

                    </div>

                </div>

                <div class="content" id="panel3">

                	<?php the_content(); ?>

									<p>Per informazioni o per fissare un appuntamento:</p>

									<p<a href="tel:<?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?>"><i class="fa fa-phone fa-fw"></i><?php echo get_option('immobiliare_azienda_telefono', '+39 000000000' ); ?></a><br/>

									<a href="mailto:<?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?>"><i class="fa fa-envelope fa-fw"></i><?php echo get_option('immobiliare_azienda_email', 'info@email.it' ); ?></a></p>

                </div>

                <?php if (rwmb_meta('immobili_video')!=null){ ?>

								<div class="content" id="panel4">

                  <?php echo wp_oembed_get(rwmb_meta( 'immobili_video' ), array('width'=>400)); ?>

                </div>

                <?php } ?>

                <?php if (rwmb_meta('immobili_planimetria')!=null){ ?>

                <div class="content" id="panel5">

										<ul class="clearing-thumbs small-block-grid-4" data-clearing>

										<?php

										$images = rwmb_meta( 'immobili_planimetria', 'type=image' );

										foreach ( $images as $image )

										{

										    echo "<li><a href='{$image['full_url']}' title='{$image['title']}' role='button' aria-label='Thumbnail'><img src='{$image['url']}' aria-hidden='true' alt='{$image['alt']}' /></a></li>\n";

										}

										?>

										</ul>

                </div>

                <?php } ?>

								<?php if (count($allegati)>1){  ?>

                <div class="content" id="panel6">

										<ul class="inline-list">

										<?php

										foreach ( $allegati as $allegato )

										{

										    echo "<li><a href='{$allegato['url']}' title='{$allegato['title']}' role='button' target='_blank'><i class=\"fa fa-file-pdf-o fa-lg fa-fw\" style=\"color:#CF1312\"></i>{$allegato['title']}</a><li>";

										}

										?>

										</ul>

                </div>

								<?php } ?>

            </div>

            <div class="row mappa">

                <div class="large-12 medium-12 small-12 columns">

                	<h5>VISUALIZZA SULLA MAPPA</h5>

                    <p><?php echo rwmb_meta( 'immobili_address' ); ?></p>

                    <div class="row">

                    <div class="map large-12 medium-12 small-12 columns">

                    <?php

										$strTitolo=the_title();

										$args = array(

										    'type'         => 'map',

										    'width'        => '100%', // Map width, default is 640px. You can use '%' or 'px'

										    'height'       => '260px', // Map height, default is 480px. You can use '%' or 'px'

										    'zoom'         => 7,  // Map zoom, default is the value set in admin, and if it's omitted - 14

										    'marker'       => true, // Display marker? Default is 'true',

										    'marker_title' => '', // Marker title when hover

										    'info_window'  => rwmb_meta( 'immobili_address' ), // Info window content, can be anything. HTML allowed.

										);

										echo rwmb_meta( 'immobili_loc', $args ); // For current post

										?>

                    </div>

                    </div>

                </div>

            </div>





				</article>

				<?php endwhile;?>

            <div class="row annucicorrelati">

                <div class="large-12 medium-12 small-12 columns">

				        	<h4>ANNUNCI CHE POTREBBERO INTERESSARTI</h4>

            		</div>

            </div>



					<?php

					$args = array('post_type' => 'immobili','posts_per_page' => '6','post__not_in' => array($post->ID));

					query_posts($args);

					if (have_posts()){

						$i=0;

						while (have_posts()) : the_post(); 

							if ($i==3){

								echo "</div>";

								$i=0;

							}

							if ($i==0){

								echo "<div class=\"immobili-vetrina row\" data-equalizer>";

							}

						?>

			        

          	<div class="large-4 medium-4 small-12 columns" id="post-<?php the_ID(); ?>" data-equalizer-watch>

                  <div class="fotoimmobile">

									<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">

											<?php 

											if (has_post_thumbnail(get_the_ID())){

												the_post_thumbnail(array(300,300));

											}else{

												echo "<img src=\"".get_template_directory_uri()."/img/no-image.jpg\">";

											}

										 ?>

									</a>

									</div>

                  <div class="panel">

                    	<?php if (rwmb_meta('immobili_prezzo')==0){ ?>

												<p class="prezzo">Tratt. riservata<br/>

											<?php }else{ ?>

												<p class="prezzo">&euro; <?php echo number_format(rwmb_meta('immobili_prezzo'), 0, ',', '.'); ?><br/>

											<?php }  ?>

										<?php echo rwmb_meta( 'immobili_comune' ); ?></p>

										<p><?php echo rwmb_meta( 'immobili_mq' ); ?> mq - <?php echo rwmb_meta( 'immobili_locali' ); ?> locali<br/>

										<?php the_title(); ?></p>

                  </div>

              </div>



						<?php 
							$i++;
							endwhile; 
							if ($i>0){
								echo "</div>";
							}
							}
						?>
      </div>

      <div class="right large-4 medium-4 small-12 columns sidebar">
				<div class="panel">
				<h5><i class="fa fa-envelope fa-fw"></i>RICHIEDI INFO</h5>
				<?php echo do_shortcode("[contact-form-7 id=\"6456\" title=\"Contatti immobile\"]"); ?>
				</div>
				<?php get_sidebar(); ?>
      </div>
    </div>
<?php get_footer(); ?>

