<?php get_header(); ?>
<div class="main-container">
	<div class="row">
		<div class="small-12 medium-9 large-9 columns woocommerce" role="main">
			<?php while ( woocommerce_content() ) : the_post(); ?>
			<article <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<header>
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>
				<div class="entry-content">
					<?php the_content(); ?>
				</div>
				<footer>
					<?php wp_link_pages( array('before' => '<nav id="page-nav"><p>' . __( 'Pages:', 'rswstudio' ), 'after' => '</p></nav>' ) ); ?>
					<p><?php the_tags(); ?></p>
				</footer>
				<?php comments_template(); ?>
			</article>
			<?php endwhile;?>
		</div>
		<aside class="small-12 medium-3 large-3 columns sidebar">
			<?php get_sidebar(); ?>
		</aside>
	</div>
</div>
<?php get_footer();
